Import task type estimations from a CSV file. Updates estimations, dates, and other task properties for assets or shots based on CSV rows.
POST
/import/csv/projects/{project_id}/task-types/{task_type_id}/estimations
curl
curl -X POST "http://api.example.com/import/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/b24a6ea4-ce75-4665-a070-57453082c25/estimations" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/import/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/b24a6ea4-ce75-4665-a070-57453082c25/estimations"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/import/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/b24a6ea4-ce75-4665-a070-57453082c25/estimations' \
--header "Authorization: $API_KEY"
Response examples (201)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Asset Modeling",
"estimation": 480,
"start_date": "2024-01-15",
"due_date": "2024-01-25"
}
]